Bug 1956034 - [Assisted-4.7] [Staging][UI] Enable / disable OCS checkbox isnt working after first try
Summary: [Assisted-4.7] [Staging][UI] Enable / disable OCS checkbox isnt working after...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: assisted-installer
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: ---
Assignee: Jonathan Kilzi
QA Contact: Udi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-02 09:10 UTC by Lital Alon
Modified: 2021-05-05 10:46 UTC (History)
3 users (show)

Fixed In Version: ocp-Metal-UI-v1.5.19
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Lital Alon 2021-05-02 09:10:29 UTC
Description of problem:
I booted 3 nodes, then marked OCS check box. 
OCS indeed enabled as expected. 
The issue is that from now on - disable/enable OCS checkbox doesn't 'save' the changes (no PATCH request), and thus new setup is not actually applied even when UI show otherwise.

Issue can be worked around by clicking Back and then Next 


Version-Release number of selected component (if applicable):
1.5.17

How reproducible:
100%

Steps to Reproduce:
1. boot 3 nodes, then marked OCS check box --> changes saved
2. choose to disable OCS 

Actual results:
OCS wasn't disabled, no PATCH request

Expected results:
on each enable /disable, patch request should be sent and changes should be applied

Comment 1 Lital Alon 2021-05-04 11:17:18 UTC
Still reproduces on Staging ocp-Metal-UI-v1.5.19
enable - disable works fine, but then when trying to disable again, its not automatically saving

Comment 2 Lital Alon 2021-05-05 10:46:26 UTC
Verified on Staging ui v-1.5.19


Note You need to log in before you can comment on or make changes to this bug.